### Method

# Gtk.Notebook.insert_page

#### Declaration [src]

    int
    gtk_notebook_insert_page (
      GtkNotebook* notebook,
      GtkWidget* child,
      GtkWidget* tab_label,
      int position
    )

#### Description [src]

Insert a page into `notebook` at the given position.

#### Parameters

`child` | `GtkWidget`
| the `GtkWidget` to use as the contents of the page
| Ownership is not transferred to the callee
`tab_label` | `GtkWidget`
| the `GtkWidget` to be used as the label for the page, or `NULL` to use the default label, “page N”
| Can be `NULL`
| Ownership is not transferred to the callee
`position` | `int`
| the index (starting at 0) at which to insert the page, or -1 to append the page after all other pages

#### Return value

Returns: `int`
the index (starting from 0) of the inserted page in the notebook, or -1 if function fails